package cn.ysk.cashier.dto;

import org.apache.commons.lang3.StringUtils;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

public class ShopSummaryDto {
    private String shopId;
    private String proName;
    private Integer type;
    private String cateId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    public String getCateId() {
        return cateId;
    }

    public void setCateId(String cateId) {
        if(StringUtils.isNotBlank(cateId)){
            this.cateId = cateId;
        }
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        if(StringUtils.isNotBlank(proName)){
            this.proName = proName;
        }
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
